- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# MRasterizerStateDesc Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Descriptor for a complete rasterizer state.

This class describes a complete rasterizer state, like fill mode, cull mode, depth bias, multisampling, point size, etc.

`#include <MStateManager.h>`

List of all members.

## Public Member Functions
| MRasterizerStateDesc ()
| Constructor, builds a default rasterizer state.
| ~MRasterizerStateDesc ()
| Destructor.
void | setDefaults ()
| Set all values for the rasterizer state to their default values.
| MRasterizerStateDesc (const MRasterizerStateDesc &rDesc)
| NO SCRIPT SUPPORT.
MRasterizerStateDesc & | operator= (const MRasterizerStateDesc &rDesc)
| NO SCRIPT SUPPORT.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Public Attributes
MRasterizerState::FillMode | fillMode
| Select the primitive fill mode, default kFillSolid.
MRasterizerState::CullMode | cullMode
| Select the face culling mode, default kCullNone.
bool | frontCounterClockwise
| Select whether CW or CCW winding is used for "front" face, default false.
bool | depthBiasIsFloat
| Indicates that DepthBias is a float value, default false.
float | depthBias
| DepthBias adds the given bias value to the rasterizer z value prior to depth testing.
float | depthBiasClamp
| Maximum value scaled depth bias can attain, default 0.
float | slopeScaledDepthBias
| Slope scaled depth bias value, default 0.
bool | depthClipEnable
| Enables HW automatic depth clipping, default true.
bool | scissorEnable
| Enables HW scissor clip rectangle, default false.
bool | multiSampleEnable
| Enables HW full screen multi-sample anti-aliasing, default false.
bool | antialiasedLineEnable
| Enables HW anti-aliased lines, auto disabled by multi-sample AA, default false. Search for all occurrences

## Constructor & Destructor Documentation

MRasterizerStateDesc | ( | const MRasterizerStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Copy constructor.

Parameters:

  [in] | rDesc | The descriptor to copy

## Member Function Documentation

MRasterizerStateDesc & operator= | ( | const MRasterizerStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Assignment operator.

Parameters:

  [in] | rDesc | The descriptor to copy

Returns:
  Reference to this descriptor

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

## Member Data Documentation

MRasterizerState::FillMode fillMode

Search for all occurrences

Select the primitive fill mode, default kFillSolid.

MRasterizerState::CullMode cullMode

Search for all occurrences

Select the face culling mode, default kCullNone.

bool frontCounterClockwise

Search for all occurrences

Select whether CW or CCW winding is used for "front" face, default false.

bool depthBiasIsFloat

Search for all occurrences

Indicates that DepthBias is a float value, default false.

float depthBias

Search for all occurrences

DepthBias adds the given bias value to the rasterizer z value prior to depth testing.

float depthBiasClamp

Search for all occurrences

Maximum value scaled depth bias can attain, default 0.

float slopeScaledDepthBias

Search for all occurrences

Slope scaled depth bias value, default 0.

bool depthClipEnable

Search for all occurrences

Enables HW automatic depth clipping, default true.

bool scissorEnable

Search for all occurrences

Enables HW scissor clip rectangle, default false.

bool multiSampleEnable

Search for all occurrences

Enables HW full screen multi-sample anti-aliasing, default false.

bool antialiasedLineEnable

Search for all occurrences

Enables HW anti-aliased lines, auto disabled by multi-sample AA, default false.

MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc
MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc MRasterizerStateDesc